package br.com.xmpp;

import java.io.File;
import java.util.Date;
import java.util.Map;
import java.util.Random;

import javax.ws.rs.core.Response;

import org.jivesoftware.util.Log;
import org.eclipse.jetty.servlet.ServletHolder;
import org.jivesoftware.openfire.admin.AdminManager;
import org.jivesoftware.openfire.container.Plugin;
import org.jivesoftware.openfire.container.PluginManager;
import org.jivesoftware.openfire.user.User;
import org.jivesoftware.util.PropertyEventListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.xmpp.packet.Message;
import org.xmpp.packet.Packet;
import org.xmpp.packet.Presence;

import com.j256.twofactorauth.TimeBasedOneTimePasswordUtil;

import br.com.xmpp.XmppChatManager;

/**
  * This class initialize the ExamplePlugin
  */
public class ExamplePlugin implements Plugin
{

    @Override
    public void initializePlugin( PluginManager manager, File pluginDirectory )
    {
    	
    	//configure username and password
    	String username="bot";
    	String password="123456";
    	String totp=null;
    	
      try {
     // OpenfireConnection connection = null;
     // boolean anonymous = true;
     // Log.debug("/{username}/login " + loginUser);
    	XmppChatManager chatManager=XmppChatManager.createConnection(username, password,false); 
    	if (chatManager == null)
          {
              Log.info("COnnection is NULLL::::::::::");
          }

      } catch (Exception e) {
      	Log.error("Exception occuered::",e);
      }
	}

    @Override
    public void destroyPlugin()
    {
        Log.info("Destroying Example Plugin");
    }

	
}
